Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.sbi.celldesigner.plugin
Class PluginModelBuilder

    java.lang.Object
      jp.sbi.celldesigner.plugin.PluginModelBuilder

    public class PluginModelBuilder

extends java.lang.Object

Field Summary
`static java.lang.String` | `ANNOTATION`

Constructor Summary
`PluginModelBuilder(jp.sbi.celldesigner.SBModel value)`

Method Summary
`PluginAntiSenseRNA` | `convertToPluginAntiSenseRNA(jp.sbi.celldesigner.sbmlExtension.AntiSenseRNA target)` Converts AntiSenseRNA to PluginAntiSenseRNA
`PluginCompartment` | `convertToPluginCompartment(Compartment compartment, jp.sbi.celldesigner.sbmlExtension.CompartmentAnnotation annotation)` Converts Compartment to PluginCompartment
`PluginGene` | `convertToPluginGene(jp.sbi.celldesigner.sbmlExtension.Gene target)` Converts Gene to PluginGene
`PluginKineticLaw` | `convertToPluginKineticLaw(KineticLaw law, PluginReaction parent)` Converts KineticLaw to PluginKineticLaw
`PluginModel` | `convertToPluginModel(Model model)` Converts Model to PluginModel
`PluginModel` | `convertToPluginModel(Model model, jp.sbi.celldesigner.SBModel sbModel)` Converts Model to PluginModel
`PluginReaction` | `convertToPluginReaction(Reaction reaction, jp.sbi.celldesigner.sbmlExtension.ReactionAnnotation annotation)` Converts Reaction to PluginReaction
`PluginRNA` | `convertToPluginRNA(jp.sbi.celldesigner.sbmlExtension.RNA target)` Converts RNA to PluginRNA
`PluginSBase` | `convertToPluginSBase(SBase sbase)` Converts SBase to PluginSBase
`PluginSpecies` | `convertToPluginSpecies(Species species, jp.sbi.celldesigner.sbmlExtension.SpeciesAnnotation annotation)` Converts Species to PluginSpecies
`PluginSpeciesAlias` | `convertToPluginSpeciesAlias(jp.sbi.celldesigner.SpeciesAlias alias, PluginSpecies parent)` Convers SpeciesAlias to PluginSpeciesAlias

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ANNOTATION

    public static final java.lang.String ANNOTATION

See Also:
  Constant Field Values

Constructor Detail

### PluginModelBuilder

    public PluginModelBuilder(jp.sbi.celldesigner.SBModel value)

Method Detail

### convertToPluginSpeciesAlias

    public PluginSpeciesAlias convertToPluginSpeciesAlias(jp.sbi.celldesigner.SpeciesAlias alias,
                                                          PluginSpecies parent)

  Convers SpeciesAlias to PluginSpeciesAlias

  Parameters:
    `alias` -
    `parent` -
  Returns:
    PluginSpeciesAlias

### convertToPluginSBase

    public PluginSBase convertToPluginSBase(SBase sbase)

  Converts SBase to PluginSBase

  Parameters:
    `sbase` -
  Returns:
    PluginSBase

### convertToPluginModel

    public PluginModel convertToPluginModel(Model model)

  Converts Model to PluginModel

  Parameters:
    `model` -

### convertToPluginModel

    public PluginModel convertToPluginModel(Model model,
                                            jp.sbi.celldesigner.SBModel sbModel)

  Converts Model to PluginModel

  Parameters:
    `model` -
    `sbModel` -

### convertToPluginGene

    public PluginGene convertToPluginGene(jp.sbi.celldesigner.sbmlExtension.Gene target)

  Converts Gene to PluginGene

  Parameters:
    `target` - Gene

### convertToPluginAntiSenseRNA

    public PluginAntiSenseRNA convertToPluginAntiSenseRNA(jp.sbi.celldesigner.sbmlExtension.AntiSenseRNA target)

  Converts AntiSenseRNA to PluginAntiSenseRNA

  Parameters:
    `target` -

### convertToPluginRNA

    public PluginRNA convertToPluginRNA(jp.sbi.celldesigner.sbmlExtension.RNA target)

  Converts RNA to PluginRNA

  Parameters:
    `target` - RNA

### convertToPluginSpecies

    public PluginSpecies convertToPluginSpecies(Species species,
                                                jp.sbi.celldesigner.sbmlExtension.SpeciesAnnotation annotation)

  Converts Species to PluginSpecies

  Parameters:
    `species` -
    `annotation` -
  Returns:
    PluginSpecies

### convertToPluginReaction

    public PluginReaction convertToPluginReaction(Reaction reaction,
                                                  jp.sbi.celldesigner.sbmlExtension.ReactionAnnotation annotation)

  Converts Reaction to PluginReaction

  Parameters:
    `reaction` -
    `annotation` -

### convertToPluginCompartment

    public PluginCompartment convertToPluginCompartment(Compartment compartment,
                                                        jp.sbi.celldesigner.sbmlExtension.CompartmentAnnotation annotation)

  Converts Compartment to PluginCompartment

  Parameters:
    `compartment` -
    `annotation` -
  Returns:
    PluginCompartment

### convertToPluginKineticLaw

    public PluginKineticLaw convertToPluginKineticLaw(KineticLaw law,
                                                      PluginReaction parent)

  Converts KineticLaw to PluginKineticLaw

  Parameters:
    `law` -
    `parent` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD